Subject: bug#29089: Truncated size of big file

From: Alex Peshkoff <[email-masked]>
Date: Tue, 31 Oct 2017 20:59:33 +0300

Before decompressing a copy of database I've decided to take a look at 
it's size:

localhost stg # gunzip -l SWHTOROLT_20171019.GBK.gz
          compressed        uncompressed  ratio uncompressed_name
          3645968323          1782666240 -104.5% SWHTOROLT_20171019.GBK

uncompressed is reported as 1.7Gb which is definitely something unreal 
like -104.5 compress ratio

Actual size after unzip is:

localhost stg # gunzip SWHTOROLT_20171019.GBK.gz
localhost stg # ls -l SWHTOROLT_20171019.GBK
-rw-r--r-- 1 root root 18962535424 Oct 19 15:59 SWHTOROLT_20171019.GBK

Lickily I've had enough disk space - but let me not attach problematic 
archive to email, I suppose it's easier to reproduce this locally ;)

Alex.